# What it does

This is a companion plugin for the application "SOTFEdit".

You can get it from here (make sure to download version 0.11.0 or newer):
- https://github.com/codengine/SOTFEdit
- https://thunderstore.io/c/sons-of-the-forest/p/codengine/SOTFEdit/
- https://www.nexusmods.com/sonsoftheforest/mods/41

When both are connected, it offers the following functions

- Teleport to any point of interest either via SOTFEdit or an ingame menu (Default: F8)
- Create custom points-of-interest via ingame menu (Default: F9)
- Live update of the location of the player, network players, Kelvin and Virginia at the SOTFEdit map

# Installation:

1. Download [BepInEx IL2CPP](https://thunderstore.io/c/sons-of-the-forest/p/BepInEx/BepInExPack_IL2CPP/)
2. Drag contents of BepInExPack from BepInEx.zip file into Sons of the Forest game directory (right click in steam > browse local files)
3. Drag the BepInEx folder from the zip file that you just opened into the game directory

# Configuration

After you have run the game at least once with BepInEx and the mod installed, there will be a config file at "Sons of The Forest/BepInEx/config/SOTFEdit_Companion.cfg".
Make sure that the IP/Address and Port match those in SOTFEdit and change the hotkeys if needed.

# Notes

- In multiplayer games, teleportation of Kelvin and Virginia is not possible by non-host players (because the host owns them)
- Don't teleport in rapid succession or your game might crash
- The position will only be transmitted if SOTFEdit is connected
- For teleportation, the connection is also required because the coordinates come originially from SOTFEdit
- When you open the teleportation/custom POI dialog for the first time there is a small delay which will be gone afterwards
- The hotkeys function as toggles, so you can show and hide the dialogs with the same key


# Disclaimer

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 